package com.ruoyi.ems.service;

import java.util.List;
import com.ruoyi.ems.domain.EmsFacsType;

/**
 * 能源设施/系统分类Service接口
 *
 * @author ruoyi
 * @date 2024-07-10
 */
public interface IEmsFacsTypeService {
    /**
     * 查询能源设施/系统分类
     *
     * @param id 能源设施/系统分类主键
     * @return 能源设施/系统分类
     */
    EmsFacsType selectFacsTypeById(Long id);

    /**
     * 查询能源设施/系统分类列表
     *
     * @param emsFacsType 能源设施/系统分类
     * @return 能源设施/系统分类集合
     */
    List<EmsFacsType> selectFacsTypeList(EmsFacsType emsFacsType);

    /**
     * 新增能源设施/系统分类
     *
     * @param emsFacsType 能源设施/系统分类
     * @return 结果
     */
    int insertFacsType(EmsFacsType emsFacsType);

    /**
     * 修改能源设施/系统分类
     *
     * @param emsFacsType 能源设施/系统分类
     * @return 结果
     */
    int updateFacsType(EmsFacsType emsFacsType);

    /**
     * 批量删除能源设施/系统分类
     *
     * @param ids 需要删除的能源设施/系统分类主键集合
     * @return 结果
     */
    int deleteFacsTypeByIds(Long[] ids);

    /**
     * 删除能源设施/系统分类信息
     *
     * @param id 能源设施/系统分类主键
     * @return 结果
     */
    int deleteFacsTypeById(Long id);
}
